GuideLab API

Receive purchase order items

Records the receipt of items from a purchase order. Updates inventory quantities, creates stock adjustments, and transitions the PO status to 'partially_received' or 'received' based on whether all items are fully received.

POST
/inventory/purchase-orders/{id}/receive

Records the receipt of items from a purchase order. Updates inventory quantities, creates stock adjustments, and transitions the PO status to 'partially_received' or 'received' based on whether all items are fully received.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Purchase order ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/inventory/purchase-orders/550e8400-e29b-41d4-a716-446655440000/receive" \  -H "Content-Type: application/json" \  -d '{    "commandId": "string",    "items": [      {        "purchaseOrderItemId": "string",        "quantityReceived": 0      }    ]  }'
{  "data": {    "status": "string"  }}
Empty
Empty
Empty
Empty
Empty